#include <MeterPU.h>

#define GPU_0 0

int main()
{
	{
		using namespace MeterPU;

		//Initialize a meter with GPU energy of default device id 0
		Meter< NVML_Energy<GPU_0> > meter;

		for(int i=0;i<5;++i){

			meter.start();

			//Do sth here, typically a cuda call, here simplified.
			sleep(2);

			meter.stop();

			meter.calc();

			/*std::cout<<"Energy consumed is: "<<meter.get_value()<<" milliJ."<<std::endl;*/
			meter.show_meter_reading();
		}

	}

}

//Output: Energy consumed is: 87516.9 milliJ.
